﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
public class UIManager : MonoBehaviour
{
    public Text properTime;
    public Text currentSpeed;
    public Text clockText;
    public Square square;
    public FlatLandObject clock1, clock2;
    public GameObject victoryScreen;

    public void UpdateUI() // it just updates UI.
    {
        string newPropertime, prevPropertime;

        currentSpeed.text = "Current Speed : " + (square.gameSpeed / Constants.c).ToString("F2") + "c";

        prevPropertime = square.CalculateEntireMovingTime().ToString();
        newPropertime = (square.CalculateEntireMovingTime() / Constants.Gamma(square.gameSpeed)).ToString();

        properTime.text = "New Proper Time : +" + newPropertime + " seconds\nPrev Proper Time : +" + prevPropertime + " seconds";

        clockText.text = "Clock1 : " + clock1.properTime + " second\nClock2 : " + clock2.properTime + " second";
    }

    public void CheckVictory()
    {
        if ((clock1.transform.position - clock2.transform.position).sqrMagnitude < 10 && Mathf.Abs((float)(clock1.properTime - clock2.properTime)) < 1)
            victoryScreen.SetActive(true);
    }
}
